> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-python/examples/listing-resources.md).

# Listing resources

### List all datasets in an organization

```python
datasets = redivis.organization("Demo").list_datasets()

for dataset in datasets:
    # Properties will contain the dataset.list API representation
    print(dataset.properties) 
    
    dataset.get()
    # Properties will contain the dataset.get API representation
    print(dataset.properties) 

```

### List all tables in a dataset

```python
dataset = redivis.organization("Demo").dataset("ghcn daily weather data")
tables = dataset.list_tables()

for table in tables:
    # Properties will contain the table.list API representation
    print(table.properties) 
    
    table.get()
    # Properties will now contain the table.get API representation
    print(table.properties) 
}
```

### List all variables in a table

```python
dataset = redivis.organization("Demo").dataset("ghcn daily weather data")
table = dataset.table("daily observations")
variables = table.list_variables()

for variable in variables:
    # Properties will contain the variable.list API representation
    print(table.properties) 
    
    table.get(wait_for_statistics=False)
    # Properties will now contain the variable.get API representation
    print(table.properties) 

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/examples/listing-resources.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
